%define version 3.33
%define release 6mdk

%define	major 0
%define libname %mklibname pstoedit %{major}

Summary:	Translates PostScript/PDF graphics into other vector formats
Name:		pstoedit
Version:	%{version}
Release:	%{release}
License:	GPL
Source: 	http://home.t-online.de/home/helga.glunz/wglunz/pstoedit/pstoedit-%{version}.tar.bz2
Patch0:		%{name}-3.33-syntax.patch.bz2
Patch1:		%{name}-3.33-parallel.patch.bz2
URL:		http://www.pstoedit.net/pstoedit
Group:		Graphics
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	ImageMagick-devel
BuildRequires:	automake1.4
BuildRequires:	bison
BuildRequires:	ghostscript
Requires:	%{libname} = %{version}-%{release}
# not compatible
BuildConflicts:	libming0-devel

%description
pstoedit translates PostScript and PDF graphics into other vector formats.
Currently pstoedit can generate the following formats:

	- Tgif .obj format (for tgif version >= 3)
	- fig format for xfig
	- pdf Adobe Portable Document Format
	- gnuplot format
	- Flattened PostScript (with or without Bezier curves)
	- DXF - CAD exchange format
	- LWO - LightWave 3D
	- RIB - RenderMan
	- RPL - Real3D
	- Idraw format (a special format of EPS that Idraw can read)
	- Tcl/Tk
	- HPGL
	- AI - Adobe Illustrator Format (based on ps2ai.ps, not a real pstoedit)
	- WMF - Windows Meta Files 
	- PIC format for troff/groff
	- MetaPost format per usage with TeX/LaTeX
	- LaTeX2e picture
	- Kontour
	- GNU Metafile (plotutils/libplot)
	- Sketch (http://sketch.sourceforge.net)
	- Mathematica
	- trough ImageMagick to any format supported by ImageMagick

%package -n %{libname}
Summary:	Pstoedit libraries
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with pstoedit libraries.

%package -n %{libname}-devel
Summary:	Static libraries and header files for pstoedit development
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
%description -n %{libname}-devel
If you want to create applications that will use pstoedit code or
APIs, you'll need to install these packages as well as pstoedit. This
additional package isn't necessary if you simply want to use pstoedit.

%prep
%setup -q
%patch0 -p1 -b .syntax
%patch1 -p1 -b .parallel

# clean up permissions
find -type f -perm +111 | xargs -r file | grep -v script | cut -d: -f1| xargs -r chmod 0644

./autogen.sh
%__libtoolize -c -f

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m 644 doc/pstoedit.1 %{buildroot}%{_mandir}/man1/pstoedit.1

# remove unneeded files
rm -f %{buildroot}%{_libdir}/%{name}/*.{a,la}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc copying index.htm readme.txt readme.install examples
%{_bindir}/pstoedit
%{_libdir}/pkgconfig/*.pc
%{_datadir}/pstoedit
%{_mandir}/man1/*.1*

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/*.so.*
%{_libdir}/pstoedit/*.so.*
%{_libdir}/pstoedit/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/pstoedit.htm
%{_bindir}/pstoedit-config
%{_includedir}/pstoedit
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4

%changelog
* Sat Jul 31 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.33-6mdk
- Rebuilt against ImageMagick 6.0.4.

* Tue Jun 29 2004 Abel Cheung <deaddog@deaddog.org> 3.33-5mdk
- P0: Fix build
- P1: Allow parallel build
- Add missing buildrequires
- Other build cleanup

* Wed Aug 27 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.33-4mdk
- Rebuilt.

* Tue Feb 18 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.33-3mdk
- Rebuild.

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.33-2mdk
- rebuild

* Thu Jan 23 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.33-1mdk
- Updated to release 3.33.

* Fri Nov 22 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.32-2mdk
- Fixed a typo in %description.

* Fri Nov 22 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.32-1mdk
- initial release.
